NPPPCTL(8)

NAME
npppctl - control the npppd daemon

SYNOPSIS
npppctl [-n] [-r rcvbuf_size] [-s socket] [-t timeout_sec] command [argument ...]

DESCRIPTION
The npppctl utility controls the npppd(8) daemon.

The options are as follows:

-n  Show IP addresses instead of their hostnames.

-r rcvbuf_size
    npppctl may fail if the receive buffer is not large enough for the requested information. Use rcvbuf_size to extend the receive buffer size instead of the default value of 131072. This must be greater than or equal to 2048.

-s socket
    Use socket instead of the default /var/run/npppd_ctl to communicate with npppd.

-t timeout_sec
    Use timeout_sec as the I/O timeout timer value in seconds instead of the default value of 2.

NPPPD CONTROL COMMANDS
The following commands are available:

clear all | filter ...
    Disconnect PPP sessions. If filter is specified, only matching PPP sessions are disconnected. If all is specified, all PPP sessions are disconnected. See session all for the types of filter.

session all [filter ...]
    Show detailed information for PPP sessions. If filter is specified, only matching PPP sessions are shown; otherwise all PPP sessions are shown. The following filters are available:

    address ip_address
        Show or clear PPP sessions whose IP address match ip_address.

    interface interface_name
        Show or clear PPP sessions that use the interface specified by interface_name.

    ppp-id id
        Show or clear PPP sessions whose Ppp-Id match id.

    protocol protocol
        Show or clear PPP sessions that use the tunneling protocol specified by protocol.

    realm realm_name
        Show or clear PPP sessions whose realm match the specified realm_name.

    username username
        Show or clear PPP sessions whose username match username.

session brief
    Show brief information for all PPP sessions.

session packets
    Show I/O statistics for all PPP sessions.

HISTORY
The npppctl program first appeared in OpenBSD 5.3.

AUTHORS
The npppctl program was written by Internet Initiative Japan Inc.